Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class LabeledComponent

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  edu.stanford.smi.protege.util.LabeledComponent

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable

    public class LabeledComponent

extends JComponent

The component that handles the standard layout of slot widgets. This layout consists of a label at the top left and a series of buttons at the top right and then a "center component" that takes up the rest of the space. There can optionally be a footer component at the bottom (usually used for a "find" box).

Author:
  Ray Fergerson , Holger Knublauch (minor extensions), Tania Tudorache (minor extensions)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`LabeledComponent(String label, Component c)`
`LabeledComponent(String label, Component c, boolean verticallyStretchable)`
`LabeledComponent(String label, Component c, boolean verticallyStretchable, boolean swapedHeader)`
`LabeledComponent(String label, JScrollPane c)`

Method Summary
`JButton` | `addHeaderButton(Action action)`
`void` | `addHeaderSeparator()`
`JToggleButton` | `addHeaderToggleButton(Action action)`
`void` | `doLayout()`
`Component` | `getCenterComponent()`
`Component` | `getFooterComponent()`
`Collection<Action>` | `getHeaderButtonActions()`
`Collection` | `getHeaderButtons()`
`Component` | `getHeaderComponent()`
`String` | `getHeaderLabel()`
`boolean` | `hasHeaderButton(Icon icon)`
`boolean` | `isSwapedHeader()`
`boolean` | `isVerticallyStretchable()`
`void` | `removeAllHeaderButtons()`
`void` | `removeHeaderButton(int index)`
`void` | `setCenterComponent(Component c)`
`void` | `setComponentsEnabled(boolean b)`
`void` | `setFooterComponent(JComponent c)`
`void` | `setHeaderComponent(JComponent component)`
`void` | `setHeaderComponent(JComponent component, String alignment)`
`void` | `setHeaderIcon(Icon icon)` Sets an Icon that will appear beside the label text.
`void` | `setHeaderLabel(String label)`
`void` | `setVerticallyStretchable(boolean b)`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LabeledComponent

    public LabeledComponent(String label,
                            Component c)

### LabeledComponent

    public LabeledComponent(String label,
                            Component c,
                            boolean verticallyStretchable)

### LabeledComponent

    public LabeledComponent(String label,
                            Component c,
                            boolean verticallyStretchable,
                            boolean swapedHeader)

### LabeledComponent

    public LabeledComponent(String label,
                            JScrollPane c)

Method Detail

### addHeaderButton

    public JButton addHeaderButton(Action action)

### addHeaderSeparator

    public void addHeaderSeparator()

### addHeaderToggleButton

    public JToggleButton addHeaderToggleButton(Action action)

### getCenterComponent

    public Component getCenterComponent()

### getFooterComponent

    public Component getFooterComponent()

### getHeaderButtonActions

    public Collection<Action> getHeaderButtonActions()

### getHeaderButtons

    public Collection getHeaderButtons()

### hasHeaderButton

    public boolean hasHeaderButton(Icon icon)

### getHeaderComponent

    public Component getHeaderComponent()

### getHeaderLabel

    public String getHeaderLabel()

### setComponentsEnabled

    public void setComponentsEnabled(boolean b)

### isVerticallyStretchable

    public boolean isVerticallyStretchable()

### isSwapedHeader

    public boolean isSwapedHeader()

### removeHeaderButton

    public void removeHeaderButton(int index)

### removeAllHeaderButtons

    public void removeAllHeaderButtons()

### setCenterComponent

    public void setCenterComponent(Component c)

### setFooterComponent

    public void setFooterComponent(JComponent c)

### setHeaderComponent

    public void setHeaderComponent(JComponent component)

### setHeaderComponent

    public void setHeaderComponent(JComponent component,
                                   String alignment)

### setHeaderIcon

    public void setHeaderIcon(Icon icon)

  Sets an Icon that will appear beside the label text.

  Parameters:
    `icon` - the Icon to add

### doLayout

    public void doLayout()

  Overrides:
    `doLayout` in class `Container`

### setHeaderLabel

    public void setHeaderLabel(String label)

### setVerticallyStretchable

    public void setVerticallyStretchable(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.